# Hierarchical Term Selector (HTS)

**Project Page:** [Hierarchical Term Selector (HTS) on Drupal.org](https://www.drupal.org/project/hts)

## Introduction

The Hierarchical Term Selector (HTS) module provides an advanced interface for 
selecting taxonomy terms within Drupal. It enhances the standard taxonomy 
reference field by allowing users to navigate and select terms from complex 
hierarchical structures efficiently. This module is particularly beneficial 
for websites with extensive taxonomy systems, where users need to drill down 
through multiple levels of categories to find and select the appropriate terms.

## Features

- **Hierarchical Term Navigation:** Users can easily browse and select taxonomy 
  terms through an intuitive tree structure, displaying parent-child 
  relationships.
- **Customizable Depth:** Admins can configure how many levels of the hierarchy 
  are shown, allowing for tailored term selection experiences.
- **Dynamic AJAX Loading:** Subsequent levels are loaded dynamically via AJAX, 
  reducing initial page load times and improving performance.
- **Multi-term Selection:** Unlike other similar modules, HTS supports the 
  selection of multiple terms across various branches of the hierarchy.
- **Custom Labels and Descriptions:** You can define custom labels and 
  descriptions for each level of the hierarchy to guide users during selection.
- **‘None’ Option:** Configure a ‘None’ option for each level, allowing users 
  to bypass certain levels if needed.

## Requirements

- **Drupal Core:** This module depends on the Drupal core's taxonomy and entity 
  reference functionalities.
- **No Additional Modules Required:** HTS does not require any additional 
  modules for basic functionality.

## Installation

1. Download and install the module as you would with any other Drupal module.
2. Enable the module via the Drupal admin UI or using Drush: drush en hts
3. Configure the taxonomy reference fields in your content types to use HTS as 
the widget.

## Configuration

1. Navigate to the content type where you want to use the Hierarchical Term
Selector.
2. Edit the taxonomy reference field and select "Hierarchical Term Selector" 
as the widget.
3. Configure the widget settings, including hierarchy depth, labels, and 
descriptions for each level.
4. Save the configuration.

## Usage

Once configured, the HTS module will automatically provide a hierarchical term 
selection interface wherever the taxonomy reference field is used. Users will 
see a tree structure for selecting terms, with options to select multiple terms 
across various hierarchy levels.

## Similar Projects

- **Simple Hierarchical Select (SHS):**
- While SHS offers a basic hierarchical term selection, HTS provides 
 enhanced features like multi-term selection and greater control over the 
 display of hierarchical data.
- HTS is more suited for complex taxonomies where users need to select 
 multiple terms from different branches.

## Maintainers

- [cesarmsfelipe](https://www.drupal.org/u/cesarmsfelipe) - Maintainer and primary 
developer of the HTS module.

## Support

If you find this module useful, please consider contributing by reporting 
issues, submitting patches, or donating to support further development. You 
can also help by spreading the word and sharing your experiences with the 
module.

## License

This project is licensed under the GNU General Public License, version 2 or 
later.
