<?php

namespace Drupal\hts\Element;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Render\Element\FormElement;

/**
 * Defines the hierarchical_term_selector element.
 *
 * @FormElement("hierarchical_term_selector")
 */
class HierarchicalTermSelectorElement extends formElement {

  public const ID = 'hierarchical_term_selector';
  public const NONE_VALUE = '_none';
  public const NONE_LABEL = '- Any -';

  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    return [
      '#input' => TRUE,
      '#tree' => TRUE,
      '#process' => [
        [get_class($this), 'processHierarchicalTermSelector'],
      ],
      '#element_validate' => [
        [get_class($this), 'validateHierarchicalTermSelector'],
      ],
    ];
  }

  /**
   * Process the hierarchical term selector form element.
   */
  public static function processHierarchicalTermSelector(array &$element, FormStateInterface $form_state, array &$complete_form) {
    // Process logic for hierarchical term selector.
    return $element;
  }

  /**
   * Validate the hierarchical term selector form element.
   */
  public static function validateHierarchicalTermSelector(array &$element, FormStateInterface $form_state, array &$complete_form) {
    // Validation logic for hierarchical term selector.
  }

}
